#wrapper {
   position: relative;
}
#wrapper::before {
   content: '';
   position: absolute;
   left: 0;
   top: 0;
   width: 100vw;
   height: 100vh;
   background-color: rgba(255,255,255,0.5);
   z-index: -10;
}


#wrapper.loading::before {
      z-index: 10;
}
#search .page__title {
   height: auto;
   padding-top: 85px;
}

#search form {
   width: 1200px;
   max-width: 100%;
   margin: 25px auto 0 auto;
   background-color: #f5f5f5;
   padding: 60px 100px;
}

#search .inputArea {
   display: flex;
   border-radius: 6px;
   overflow: hidden;
}
#search .inputArea input {
   width: 100%;
   background-color: #fff;
   padding: 0 1.5em;
   font-size: 16px;
}
#search .inputArea button {
   background-color: #009E40;
   padding: 16px;
   border: none;
   cursor: pointer;
}
#search .inputArea img {
   width: 28px;
   display: block;
}

#search .filterArea {
   margin-top: 40px;
   width: 100%;
   background-color: #fff;
   padding: 30px 40px 25px 40px;
   border-radius: 6px;
   position: relative;
}
#search .filterArea h4 {
   font-size: 18px;
   font-weight: 500;
   line-height: 1;
}
#search .filterList {
   margin-top: 1em;
   display: grid;
   grid-template-columns: repeat(4, auto);
   gap: 5px 3em;
   justify-content: start;
}
#search .filterArea::after {
   content: '';
   position: absolute;
   left: calc(50% - 20px);
   top: calc(50% - 20px);
   opacity: 0;
   display: inline-block;
   width: 40px;
   height: 40px;
   border: 4px solid rgba(0, 0, 0, 0.1);
   border-radius: 50%;
   border-top-color: #009e40;
   animation: spin 1s ease-in-out infinite;
   z-index: 11;
   transition: opacity 0.3s;
   pointer-events: none;
}

@keyframes spin { to { transform: rotate(360deg); } }

#wrapper.loading #search .filterArea::after {
      opacity: 1;
}

@media screen and (max-width: 900px){
   #search .page__title {
      padding-top: 50px;
   }
   #search form {
      width: 100%;
      margin: 40px auto 0 auto;
      background-color: #f5f5f5;
      padding: 30px 25px;
   }
   #search .inputArea input {
      padding: 0 0.5em;
   }
   #search .filterArea {
      margin-top: 20px;
      width: 100%;
      background-color: #fff;
      padding: 25px 10px 20px 10px;
   }
   #search .filterArea h4 {
      font-size: 16px;
   }
   #search .filterList {
      margin-top: 1em;
      grid-template-columns: repeat(2, 1fr);
      gap: 0.5em;
   }
}

/*チェックボックスカスタム*/
#search .filterArea label {
   display: inline-flex; /* 要素を横並びにする */
   align-items: center;
   position: relative; /* 疑似要素の基準位置とする */
   cursor: pointer;
   padding-left: 28px; /* カスタムボックスのスペースを確保 */
   line-height: 1.35;
   margin-top: 0.5em;
}
#search .filterArea input[type="checkbox"] {
    /* 画面から見えなくするがアクセシビリティは保つ */
    position: absolute;
    opacity: 0;
    z-index: -1;
}
#search .filterArea input[type="checkbox"] + span::before {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    
    width: 18px;
    height: 18px;
    border: 1px solid #7E7E7E;
    background-color: #fff;
    transition: all 0.2s ease;
}
#search .filterArea input[type="checkbox"] + span::after {
	content: '';
	position: absolute;
	left: 6px;
   top: 50%;
	transform: translateY(-80%) rotate(45deg);
	width: 10px;
	height: 20px;
	border: solid transparent;
	border-width: 0 2px 2px 0;
	transition: all 0.2s ease;
}
#search .filterArea input[type="checkbox"]:checked + span::after {
    border-color: #009E40;
}
@media screen and (max-width: 900px){
   #search .filterArea input[type="checkbox"] + span {
      line-height: 1.35;
   }
}


/*結果一覧*/
.nokeyword {
	width: 1200px;
   max-width: 100%;
	margin: 0 auto;
	margin-top: 80px;
}
#search-count {
   width: 1200px;
   max-width: 100%;
   margin: 0 auto;
   margin-top: 80px;
}
#search-results {
   width: 1200px;
   max-width: 100%;
   margin: 0 auto;
   margin-top: 40px;
   border-bottom: 1px solid #acacac;
}
.search-result_li {
   border-top: 1px solid #acacac;
   padding: 35px 0;
}
.search-result_title a {
   font-size: 18px;
   font-weight: 500;
   color: #009E40;
   text-decoration: underline;
}
.search-result_text {
   margin-top: 0.3em;
   font-size: 14px;
}
@media screen and (max-width: 900px){
   #search-count {
      width: 100%;
      margin-top: 60px;
   }
   #search-results {
      width: 100%;
      margin-top: 30px;
   }
   .search-result_li {
      padding: 30px 0;
   }
   .search-result_title a {
      font-size: 16px;
   }
   .search-result_text {
      font-size: 12px;
   }
}